Subject: Re: [PATCH] test-lib.sh - cygwin does not have usable FIFOs

From: Jonathan Nieder <[email-masked]>
Date: Sat, 6 Jul 2013 17:55:58 -0700

Mark Levedahl wrote:

> Do not use FIFOs on cygwin, they do not work. Cygwin includes
> coreutils, so has mkfifo, and that command does something. However,
> the resultant named pipe is known (on the Cygwin mailing list at
> least) to not work correctly.

Hm.  How would you recommend going about writing a script that takes
output from a command, transforms it, and then feeds it back into
that command's input?  Are sockets a more reliable way to do this kind
of IPC on Cygwin?

See reinit_git and try_dump from t9010-svn-fe.sh for context.

Thanks,
Jonathan